﻿:root {
    /* colors   */
    --clr-dark: 266, 39%, 17%;
    --clr-light: 252, 48%, 37%;
    --clr-white: 50,43%,97%;
    --clr-accent: 332, 66%, 55%;
    --clr-hazard: 47, 91%, 82%;
    --clr-success: 145,63%,40%;
    --clr-ambient: 0,0%,95%;
    --clr-gray: 0,0%,65%;
    --clr-light-gray: 190, 11%, 68%;
    /* fonts   */
    --fs-900: clamp(3.5rem, 7vw + 1rem, 7.375rem);
    --fs-800: 3rem;
    --fs-700: 2.0rem;
    --fs-600: 1.5rem;
    --fs-500: 1.3rem;
    --fs-400: 1.125rem;
    --fs-300: 0.75rem;
    --fs-200: 0.575rem;
    /* font-families   */
    --ff-serif: 'Roboto',serif;
    --ff-sans-cond: 'Roboto Condensed',serif;
    --ff-sans-normal: 'Roboto',sans-serif;
}

@media (min-width: 35em) {
    :root {
        --fs-800: 5rem;
        --fs-700: 3.0rem;
        --fs-600: 2.0rem;
        --fs-400: 1.125rem;
    }
}

@media (min-width: 45em) {
    :root {
        --fs-800: 6.25rem;
        --fs-700: 3.5rem;
        --fs-600: 2.5rem;
        --fs-500: 1.75rem;
        --fs-400: 1.125rem;
        --fs-300: 0.95rem;
        --fs-200: 0.875rem;
    }
}


/* --------------------*/
/* Reset               */
/* --------------------*/

*,
*::before,
*::after {
    box-sizing: border-box;
}

body,
h1,
h2,
h3,
h4,
h5,
p,
figure,
picture {
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    font-weight: 400;
}

body {
    font-family: var(--ff-sans-normal);
    font-size: var(--fs-400);
    color: hsl(var(--clr-dark));
    background-color: hsl(var(--clr-white));
    line-height: 1.5;
    min-height: 100vh;
    display: grid;
    grid-template-rows: min-content 1fr;
    overflow-x: hidden;
}

@media (max-width: 85rem) {
body::-webkit-scrollbar {
    display: none; /* Safari and Chrome */
}
}

img,
picture {
    max-width: 100%;
    display: block;
}

input,
button,
textarea,
select {
    font: inherit;
}

/* --------------------*/
/* Utility Classes     */
/* --------------------*/

.flex {
    display: flex;
    gap: var(--gap,1rem);
}

.grid {
    display: grid;
    gap: var(--gap,1rem);
}

.d-block {
    display: block;
}

.container {
    padding: 0 2em;
    max-width: 80rem;
    margin-inline: auto;
}

.grid-container {
    text-align: center;
    display: grid;
    place-items: center;
    padding-inline: 1rem;
}

.grid-container * {
    max-width: 50ch;
}

.full {
    min-width: 100vw;
    min-height: 100vh;
}

.align-items-center {
    display: grid;
    place-items: center;
    padding-inline: 0.5rem;
}

.loading-screen-absolute {
    position: fixed;
    z-index: 500;
    top: 0;
    right: 0;
    background-color: hsl(var(--clr-white),0.85);
    text-align: center;
    display: grid;
    place-items: center;
    padding-inline: 0.5rem;
    min-height: 100%;
    min-width: 100%;
}

.relative {
    position: relative;
    top: 0;
    left: 0;
}

.full-width-height-center {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media (min-width: 45rem) {
    .grid-container {
        text-align: left;
        column-gap: var(--container-gap,2rem);
        grid-template-columns: minmax(2rem,1fr) minmax(0px,40rem) minmax(0px,40rem) minmax(2rem,1fr);
    }

    .grid-container--home {
        padding-bottom: max(6rem,10vh);
        align-items: end;
    }

    .grid-container > *:first-child {
        grid-column: 2;
    }

    .grid-container > *:last-child {
        grid-column: 3;
    }
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    white-space: nowrap;
    border: 0;
}

/* --------------------*/
/* Margins             */
/* --------------------*/

.basic-bottom-margin {
    margin-bottom: 3rem;
}

.flow > *:where(:not(:first-child)) {
    margin-top: var(--flow-space,1rem);
}

/* --------------------*/
/* Colors Classes      */
/* --------------------*/

.bg-dark {
    background-color: hsl(var(--clr-dark));
}

.bg-accent {
    background-color: hsl(var(--clr-light));
}

.bg-hazard {
    background-color: hsl(var(--clr-hazard));
}

.bg-white {
    background-color: hsl(var(--clr-white));
}

.bg-ambient {
    background-color: hsl(var(--clr-ambient));
}

.bg-gray {
    background-color: hsl(var(--clr-gray));
}

.bg-light-gray {
    background-color: hsl(var(--clr-light-gray));
}

.text-black {
    color: black);
}

.text-dark {
    color: hsl(var(--clr-dark));
}

.text-accent {
    color: hsl(var(--clr-light));
}

.text-accent-strong {
    color: hsl(var(--clr-accent));
}

.text-white {
    color: hsl(var(--clr-white));
}

.text-hazard {
    color: hsl(var(--clr-hazard));
}

.text-gray {
    color: hsl(var(--clr-gray));
}

text-light-gray {
    color: hsl(var(--clr-light-gray));
}

.box-shadow {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

/* --------------------*/
/* Typography Classes  */
/* --------------------*/

.ff-serif {
    font-family: var(--ff-serif);
}

.ff-sans-cond {
    font-family: var(--ff-sans-cond);
}

.ff-sans-normal {
    font-family: var(--ff-sans-normal);
}

.letter-spacing-1 {
    letter-spacing: 4.75px;
}

.letter-spacing-2 {
    letter-spacing: 2.7px;
}

.letter-spacing-3 {
    letter-spacing: 2.35px;
}

.uppercase {
    text-transform: uppercase;
}

.fs-900 {
    font-size: var(--fs-900);
}

.fs-800 {
    font-size: var(--fs-800);
}

.fs-700 {
    font-size: var(--fs-700);
}

.fs-600 {
    font-size: var(--fs-600);
}

.fs-500 {
    font-size: var(--fs-500);
}

.fs-400 {
    font-size: var(--fs-400);
}

.fs-300 {
    font-size: var(--fs-300);
}

.fs-200 {
    font-size: var(--fs-200);
}

.fs-900,
.fs-800,
.fs-700,
.fs-600 {
    line-height: 1.1;
}

.number-title {
    font-family: var(--ff-sans-cond);
    font-size: var(--fs-500);
    text-transform: uppercase;
    letter-spacing: 4.72px;
}

.number-title span {
    margin-right: .5em;
    font-weight: var(--fs-700);
    color: hsl( var(--clr-white),0.25);
}

.normal {
    font-weight: normal;
}

.thick {
    font-weight: bold;
}

.thicker {
    font-weight: 900;
}

.center {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.center-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin: 0;
}


